Description
Importanto utenti da CSV, non importa il gruppo primario.

Revisionando la via users.views.CSVImporter riga 870, viene popolato il dict per la definizione di user utilizzando la chiave
'primarygroup’, che pero' non €' la definizione del gruppo primario come attributo dell'utente, che €' 'gidNumber’, espresso tramite
intero che rappresenta il gruppo.

Bisogna, all'interno di CSVImporter, tenere un dict contenente tutti i gruppi presenti nel csv, popolato via via che si importano righe,
nella forma {"nomegruppo": "gid numerico"}, popolato e aggiornato via via che si incontrano gruppi nelle righe del csv. Se il gruppo
della riga e' presente nel dizionario, si usa il valore numerico corrispondente, altrimenti bisogna fare il lookup del gruppo verso
octofussd, ottenerne il gid e aggiungerlo al dizionario di cui sopra, per poi usarlo. Il dizionario funge da cache locale per ridurre le
richieste di gruppi a octofussd.

Verificato durante installazione del 27/06

Associated revisions

Revision b5b8de31 - 06/28/2017 05:12 PM - Mark Caglienzi
Use the right key. refs: #330

Revision 98eee286 - 06/28/2017 06:55 PM - Christopher R. Gabriel
refs #330

History

#1 - 06/28/2017 09:07 AM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione

#2 - 06/28/2017 05:31 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel
Dopo confronto su jabber & stato deciso di mandare la chiave giusta (cioé primaryGroup con la G maiuscola anziché minuscola) da octofussd, che
poi fa il lookup del gid.

In questo modo non c'é da fare lookup in octonet e se ne va il bisogno di avere il dict di cache. Poi octofussd fa il lookup da nome gruppo a gid
all'interno di _filllnNewUser(), pero lo fa per ogni utente.

Ora l'import di utenti che sono nel primary group docenti funziona nel senso che il gid viene impostato al gid di docenti, e 'utente € inserito in quel
gruppo quindi.

Problema correlato: I'utente viene messo comunque nella ou studenti da octofussd.

Codice pushato in t330 ma non mergiato
#3 - 06/28/2017 07:02 PM - Christopher R. Gabriel
- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

Ho fatto invocare la setgidNumber in modo esplicito ad octofussd per avere la corretta impostazione della OU.
Ho pubblicato tutto sui rispettivi master (eseguendo il merge di t330 di octonet) e pubblicati:

octofussd 8.0.31-1
octonet 0.2.16-1

Ti chiedo di fare una verifica veloce anche tu, se ti torna, chiudi pure.

#4 - 06/29/2017 09:36 AM - Mark Caglienzi
- Status changed from Commenti to Chiuso

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

Ho aggiornato octonet e octofussd sulla VM, e ho usato entrambi sulla VM.

Ho fatto un CSV di 10 utenti, meta studenti e meta docenti, e vengono importati nel gruppo giusto e con la ou giusta.
